



set mem 120m
#delimit ;
clear;
set logtype text;
set more off;

/*cd XXXX*/;

use analysis_samp_thbs_2000.dta, clear;

drop if age<10;
keep if nomage==0; 
gen pr2late=lateom;
gen pr2latemy=lateym*my;
gen pr2tgr=pr2*tgr12;
gen pr2fn=pr2*foodneed;
gen p2cov=pr2*cov;
gen pr3late=pr3*lateom;
gen pr3latemy=pr3*lateym*my;

gen p3cov=pr3*cov;
gen pr3tgr=pr3*tgr12;
gen pr3fn=pr3*foodneed;
egen kids2=sum(one), by(hhid);
egen girls2=sum(girl), by(hhid);
egen boys2=sum(boy), by(hhid);

/*TABLE 3: Basic regressions - continuous measure*/;
/*Without Coverage  Table 3, columns 1-6*/

xi: areg grade pr3 pr3late pr3latemy dage11 dage12 dage13 urb my boys kids  edhd edsp i.ssbo i.bo   i.hhmonth ownhome grass foodneed distsec distcl girl, a(geocode) cl(geoage);

outreg pr3 pr3late pr3latemy dage11 dage12 dage13 using table3a.out, se nolabel comma bracket 10pct nocon nor  ctitle(C1) replace;

xi: areg grade pr3 pr3late pr3latemy dage11 dage12 dage13 urb my boys kids  edhd edsp i.ssbo i.bo   i.hhmonth ownhome grass foodneed distsec distcl if girl==1, a(geocode) cl(geoage);

outreg pr3 pr3late pr3latemy dage11 dage12 dage13 using table3a.out, se nolabel comma bracket 10pct nocon nor  ctitle(C2) append;

xi: areg grade pr3 pr3late pr3latemy dage11 dage12 dage13 urb my boys kids  edhd edsp i.ssbo i.bo   i.hhmonth ownhome grass foodneed distsec distcl if girl==0, a(geocode) cl(geoage);

outreg pr3 pr3late pr3latemy dage11 dage12 dage13 using table3a.out, se nolabel comma bracket 10pct nocon nor  ctitle(C3) append;

xi: areg grade pr2 pr2late pr2latemy dage11 dage12 dage13 urb my boys kids  edhd edsp i.ssbo i.bo   i.hhmonth ownhome grass foodneed distsec distcl girl, a(geocode) cl(geoage);

outreg pr2 pr2late pr2latemy dage11 dage12 dage13 using table3a.out, se nolabel comma bracket 10pct nocon nor  ctitle(C4) append;

xi: areg grade pr2 pr2late pr2latemy dage11 dage12 dage13 urb my boys kids  edhd edsp i.ssbo i.bo   i.hhmonth ownhome grass foodneed distsec distcl if girl==1, a(geocode) cl(geoage);

outreg pr2 pr2late pr2latemy dage11 dage12 dage13 using table3a.out, se nolabel comma bracket 10pct nocon nor  ctitle(C5) append;

xi: areg grade pr2 pr2late pr2latemy dage11 dage12 dage13 urb my boys kids  edhd edsp i.ssbo i.bo   i.hhmonth ownhome grass foodneed distsec distcl if girl==0, a(geocode) cl(geoage);

outreg pr2 pr2late pr2latemy dage11 dage12 dage13 using table3a.out, se nolabel comma bracket 10pct nocon nor  ctitle(C6) append;

/*Coverage  Table 3, columns 7-12*/

xi: areg grade p3cov pr3late pr3latemy  dage11 dage12 dage13 urb my boys kids  edhd edsp i.ssbo i.bo   i.hhmonth ownhome grass foodneed distsec distcl girl, a(geocode) cl(geoage);


outreg p3cov pr3late pr3latemy dage11 dage12 dage13 using table3b.out, se nolabel comma bracket 10pct nocon nor  ctitle(C7) replace;

xi: areg grade p3cov pr3late pr3latemy dage11 dage12 dage13 urb my boys kids  edhd edsp i.ssbo i.bo   i.hhmonth ownhome grass foodneed distsec distcl if girl==1, a(geocode) cl(geoage);

outreg p3cov pr3late pr3latemy dage11 dage12 dage13 using table3b.out, se nolabel comma bracket 10pct nocon nor ctitle(C8) append;

xi: areg grade p3cov pr3late pr3latemy dage11 dage12 dage13 urb my boys kids  edhd edsp i.ssbo i.bo   i.hhmonth ownhome grass foodneed distsec distcl if girl==0, a(geocode) cl(geoage);

outreg p3cov pr3late pr3latemy dage11 dage12 dage13 using table3b.out, se nolabel comma bracket 10pct nocon nor  ctitle(C9) append;

xi: areg grade p3cov pr3late pr3latemy dage11 dage12 dage13 urb my boys kids  edhd edsp i.ssbo i.bo   i.hhmonth ownhome grass foodneed distsec distcl girl if kids2>1, a(hhid) cl(geoage);

outreg p3cov pr3late pr3latemy dage11 dage12 dage13 using table3b.out, se nolabel comma bracket 10pct nocon nor  ctitle(C10) append;

xi: areg grade p3cov pr3late pr3latemy dage11 dage12 dage13 urb my boys kids  edhd edsp i.ssbo i.bo   i.hhmonth ownhome grass foodneed distsec distcl if girl==1&girls2>1, a(hhid) cl(geoage);

outreg p3cov pr3late pr3latemy dage11 dage12 dage13 using table3b.out, se nolabel comma bracket 10pct nocon nor  ctitle(C11) append;

xi: areg grade p3cov pr3late pr3latemy dage11 dage12 dage13 urb my boys kids  edhd edsp i.ssbo i.bo   i.hhmonth ownhome grass foodneed distsec distcl if boy==1&boys2>1, a(hhid) cl(geoage);

outreg p3cov pr3late pr3latemy dage11 dage12 dage13 using table3b.out, se nolabel comma bracket 10pct nocon nor  ctitle(C12) append;


/*TABLE 4: Heterogeneity*/;

xi: areg grade pr3 pr3tgr dage11 dage12 dage13 urb my boys kids  edhd edsp i.ssbo i.bo   i.hhmonth ownhome grass foodneed distsec distcl, a(geocode) cl(geoage); 

outreg pr3 pr3tgr dage11 dage12 dage13 using table4.out, se nolabel comma bracket 10pct nocon nor title(Table 4) ctitle(C1) replace;

xi: areg grade pr3 pr3tgr dage11 dage12 dage13 urb my boys kids  edhd edsp i.ssbo i.bo   i.hhmonth ownhome grass foodneed distsec distcl if girl==1, a(geocode) cl(geoage);

outreg pr3 pr3tgr dage11 dage12 dage13 using table4.out, se nolabel comma bracket 10pct nocon nor  ctitle(C2) append;

xi: areg grade pr3 pr3tgr dage11 dage12 dage13 urb my boys kids  edhd edsp i.ssbo i.bo   i.hhmonth ownhome grass foodneed distsec distcl if girl==0, a(geocode) cl(geoage);

outreg pr3 pr3tgr dage11 dage12 dage13 using table4.out, se nolabel comma bracket 10pct nocon nor  ctitle(C3) append;

xi: areg grade pr3 pr3fn dage11 dage12 dage13 urb my boys kids  edhd edsp i.ssbo i.bo   i.hhmonth ownhome grass foodneed distsec distcl, a(geocode) cl(geoage);

outreg pr3 pr3fn dage11 dage12 dage13 using table4.out, se nolabel comma bracket 10pct nocon nor  ctitle(C4) append;

xi: areg grade pr3 pr3fn dage11 dage12 dage13 urb my boys kids  edhd edsp i.ssbo i.bo   i.hhmonth ownhome grass foodneed distsec distcl if girl==1, a(geocode) cl(geoage);

outreg pr3 pr3fn dage11 dage12 dage13 using table4.out, se nolabel comma bracket 10pct nocon nor  ctitle(C5) append;

xi: areg grade pr3 pr3fn dage11 dage12 dage13 urb my boys kids  edhd edsp i.ssbo i.bo   i.hhmonth ownhome grass foodneed distsec distcl if girl==0, a(geocode) cl(geoage);

outreg pr3 pr3fn dage11 dage12 dage13 using table4.out, se nolabel comma bracket 10pct nocon nor  ctitle(C6) append;




/*TABLE 6: Health outcomes*/;

xi:  areg sick pr3 pr3late pr2latemy dage11 dage12 dage13 sex urb my boys kids  edhd edsp i.ssbo i.bo   i.hhmonth ownhome grass foodneed distsec distcl if grade~=., absorb(geocode) cl(geoage);

outreg pr3  dage11 dage12 dage13 sex using table6.out, se nolabel comma bracket 10pct  ctitle(C1) replace;

xi:  areg fever pr3 pr3late pr3latemy dage11 dage12 dage13 sex urb my boys kids  edhd edsp i.ssbo i.bo   i.hhmonth ownhome grass foodneed distsec distcl if grade~=., absorb(geocode) cl(geoage);

outreg pr3  dage11 dage12 dage13 sex  using table6.out, se nolabel comma bracket 10pct ctitle(C2) append;

xi:  areg diarr pr3 pr3late pr3latemy dage11 dage12 dage13 sex urb my boys kids  edhd edsp i.ssbo i.bo   i.hhmonth ownhome grass foodneed distsec distcl if grade~=., absorb(geocode) cl(geoage);

outreg pr3 dage11 dage12 dage13 sex using table6.out, se nolabel comma bracket 10pct  ctitle(C3) append;

xi:  areg ear_ pr3 pr3late pr3latemy dage11 dage12 dage13 sex urb my boys kids  edhd edsp i.ssbo i.bo   i.hhmonth ownhome grass foodneed distsec distcl if grade~=., absorb(geocode) cl(geoage);

outreg pr3 dage11 dage12 dage13 sex using table6.out, se nolabel comma bracket 10pct ctitle(C4) append;

xi:  areg eye pr3 pr3late pr3latemy dage11 dage12 dage13 sex urb my boys kids  edhd edsp i.ssbo i.bo   i.hhmonth ownhome grass foodneed distsec distcl if grade~=., absorb(geocode) cl(geoage);

outreg pr3  dage11 dage12 dage13 sex using table6.out, se nolabel comma bracket 10pct ctitle(C5) append;

xi:  areg skin pr3 pr3late pr3latemy dage11 dage12 dage13 sex urb my boys kids  edhd edsp i.ssbo i.bo   i.hhmonth ownhome grass foodneed distsec distcl if grade~=., absorb(geocode) cl(geoage);

outreg pr3 dage11 dage12 dage13 sex using table6.out, se nolabel comma bracket 10pct ctitle(C6) append;

xi:  areg dental pr3 pr3late pr3latemy dage11 dage12 dage13 sex urb my boys kids  edhd edsp i.ssbo i.bo   i.hhmonth ownhome grass foodneed distsec distcl if grade~=., absorb(geocode) cl(geoage);

outreg pr3 dage11 dage12 dage13 sex using table6.out, se nolabel comma bracket 10pct ctitle(C7) append;

xi:  areg accident pr3 pr3late pr3latemy dage11 dage12 dage13 sex urb my boys kids  edhd edsp i.ssbo i.bo   i.hhmonth ownhome grass foodneed distsec distcl if grade~=., absorb(geocode) cl(geoage);

outreg pr3  dage11 dage12 dage13 sex using table6.out, se nolabel comma bracket 10pct ctitle(C8) append;

xi:  areg other pr3 pr3late pr3latemy dage11 dage12 dage13 sex urb my boys kids  edhd edsp i.ssbo i.bo   i.hhmonth ownhome grass foodneed distsec distcl if grade~=., absorb(geocode) cl(geoage);

outreg pr3 dage11 dage12 dage13 sex using table6.out, se nolabel comma bracket 10pct ctitle(C9) append;

xi:  areg sickdays pr3 pr3late pr3latemy dage11 dage12 dage13 sex urb my boys kids  edhd edsp i.ssbo i.bo   i.hhmonth ownhome grass foodneed distsec distcl if grade~=., absorb(geocode) cl(geoage);

outreg pr3 dage11 dage12 dage13 sex using table6.out, se nolabel comma bracket 10pct ctitle(C10) append;


/*TABLE 5: Robustness checks*/;

use analysis_samp_thbs_2000.dta, clear;
drop if age<10;



/*Columns 1-3: Full sample of mothers, no interactions:*/;
/*keep if nomage==0; */

 xi:  areg grade pr3 dage11 dage12 dage13 urb boys kids  edhd edsp i.ssbo i.bo   i.hhmonth ownhome grass foodneed distsec distcl girl, absorb(geocode) cl(geoage);

outreg pr3 dage11 dage12 dage13 using table5.out, se nolabel comma bracket 10pct nocon nor  ctitle(C1) replace;

xi:  areg grade pr3 dage11 dage12 dage13 urb boys kids  edhd edsp i.ssbo i.bo   i.hhmonth ownhome grass foodneed distsec distcl girl if sex==1, absorb(geocode) cl(geoage);

outreg pr3 dage11 dage12 dage13 using table5.out, se nolabel comma bracket 10pct nor nocon ctitle(C2) append;

xi:  areg grade pr3 dage11 dage12 dage13 urb boys kids  edhd edsp i.ssbo i.bo   i.hhmonth ownhome grass foodneed distsec distcl girl if sex~=1, absorb(geocode) cl(geoage);

outreg pr3 dage11 dage12 dage13 using table5.out, se nolabel comma bracket 10pct nor nocon ctitle(C3) append;


/*Column 4-6: Restricted control group*/;

use analysis_samp_thbs_2000.dta, clear;
drop if age<10;
keep if nomage==0; 

gen pr3late=pr3*lateom;
gen pr3latemy=pr3*lateym*my;


/*Restricted control group:*/
keep if late1==1|late2==1|late3==1|late4==1|late0==1;

xi:  areg grade pr3 pr3late pr3latemy  dage11 dage12 dage13 urb my boys kids  edhd edsp i.ssbo i.bo   i.hhmonth ownhome grass foodneed distsec distcl girl, absorb(geocode) cl(geoage);

outreg pr3 pr3late pr3latemy  dage11 dage12 dage13 using table5.out, se nolabel comma bracket 10pct nocon nor  ctitle(C4) append;

xi:  areg grade pr3 pr3late pr3latemy   dage11 dage12 dage13   urb my boys kids  edhd edsp i.ssbo i.bo   i.hhmonth ownhome grass foodneed distsec distcl girl if sex==1, absorb(geocode) cl(geoage);

outreg pr3 pr3late pr3latemy  dage11 dage12 dage13 using table5.out, se nolabel comma bracket 10pct nor nocon ctitle(C5) append;

xi:  areg grade pr3 pr3late pr3latemy   dage11 dage12 dage13   urb my boys kids  edhd edsp i.ssbo i.bo   i.hhmonth ownhome grass foodneed distsec distcl girl if sex~=1, absorb(geocode) cl(geoage);

outreg pr3 pr3late pr3latemy  dage11 dage12 dage13 using table5.out, se nolabel comma bracket 10pct nor nocon ctitle(C6) append;


/*Columns 7-9: Restricted treatment group*/;

use analysis_samp_thbs_2000.dta, clear;
drop if age<10;

keep if nomage==0; 
gen pr3late=pr3*lateom;
gen pr3latemy=pr3*lateym*my;

/*Restricted treatment group*/;

keep if pr3==0|late1~=1;

xi:  areg grade pr3 pr3late pr3latemy  dage11 dage12 dage13 urb my boys kids  edhd edsp i.ssbo i.bo   i.hhmonth ownhome grass foodneed distsec distcl girl, absorb(geocode) cl(geoage);

outreg pr3 pr3late pr3latemy  dage11 dage12 dage13 using table5.out, se nolabel comma bracket 10pct nocon nor  ctitle(C7) append;

xi:  areg grade pr3 pr3late pr3latemy  dage11 dage12 dage13   urb my boys kids  edhd edsp i.ssbo i.bo   i.hhmonth ownhome grass foodneed distsec distcl girl if sex==1, absorb(geocode) cl(geoage);

outreg pr3 pr3late pr3latemy  dage11 dage12 dage13 using table5.out, se nolabel comma bracket 10pct nor nocon ctitle(C8) append;

xi:  areg grade pr3 pr3late pr3latemy  dage11 dage12 dage13   urb my boys kids  edhd edsp i.ssbo i.bo   i.hhmonth ownhome grass foodneed distsec distcl girl if sex~=1, absorb(geocode) cl(geoage);

outreg pr3 pr3late pr3latemy  dage11 dage12 dage13 using table5.out, se nolabel comma bracket 10pct nor nocon ctitle(C9) append;



use analysis_sample_dhs_2004.dta, clear;


/*Table 3, Columns 13-15*/

xi: areg grade mprogcov postbm postbmmy bm dage2 dage3 dage4 i.bo i.ssbo grass my urb foodneed distmark elec pipedwa bankacc kids boys fem if age<15& age>9, absorb(geocode) cl(geoage);

outreg mprogcov postbm postbmmy dage2 dage3 dage4 bm fem using table3c.out, nocons br 10pct bdec(3) se com nor replace ctitle(C13);

xi: areg grade mprogcov postbm postbmmy bm dage2 dage3 dage4 i.bo i.ssbo grass my urb foodneed distmark elec pipedwa bankacc kids boys fem if age<15& age>9 & sex==2, absorb(geocode) cl(geoage);

outreg mprogcov postbm postbmmy dage2 dage3 dage4 bm fem using table3c.out, nocons br 10pct bdec(3) se com nor append ctitle(C14);

xi: areg grade mprogcov postbm postbmmy bm dage2 dage3 dage4 i.bo i.ssbo grass my urb foodneed distmark elec pipedwa bankacc kids boys fem if age<15& age>9 & sex==1, absorb(geocode) cl(geoage);

outreg mprogcov postbm postbmmy dage2 dage3 dage4 bm fem using table3c.out, nocons br 10pct bdec(3) se com nor append ctitle(C15);


/*Appendix B*/
use analysis_samp_thbs_2000.dta, clear;

keep if nomage==0; 
gen dage7=(age==7);
gen dage8=(age==8);
gen dage9=(age==9);
gen dage10=(age==10);
egen kids2=sum(one), by(hhid);
egen girls2=sum(girl), by(hhid);
egen boys2=sum(boy), by(hhid);

xi:  areg grade pr2 dage7 dage8 dage9 dage10 dage11 dage12 dage13 i.ssbo if kids>1, absorb(hhid) cl(geoage);

outreg pr2 dage7 dage8 dage9 dage10 dage11 dage12 dage13 using appb.out, se nolabel comma bracket 10pct nocon nor  ctitle(C2) replace;

xi:  areg grade pr2 dage7 dage8 dage9 dage10 dage11 dage12 dage13 i.ssbo if sex==1&girls>1, absorb(hhid) cl(geoage);

outreg pr2 dage7 dage8 dage9 dage10 dage11 dage12 dage13 using appb.out, se nolabel comma bracket 10pct nocon nor  ctitle(C2) append;

xi:  areg grade pr2 dage7 dage8 dage9 dage10 dage11 dage12 dage13 i.ssbo if sex==0&boys>1, absorb(hhid) cl(geoage);

outreg pr2 dage7 dage8 dage9 dage10 dage11 dage12 dage13 using appb.out, se nolabel comma bracket 10pct nocon nor ctitle(C3) append;

xi:  areg grade pr2 dage7 dage8 dage9 dage10 dage11 dage12 dage13 sex i.ssbo , absorb(geocode) cl(geoage);

outreg pr2 dage7 dage8 dage9 dage10 dage11 dage12 dage13 sex using appb.out, se nolabel comma bracket 10pct nocon nor  ctitle(C4) append;

xi:  areg grade pr2 dage7 dage8 dage9 dage10 dage11 dage12 dage13 girls i.ssbo if sex==1, absorb(geocode) cl(geoage);

outreg pr2 dage7 dage8 dage9 dage10 dage11 dage12 dage13 girls using appb.out, se nolabel comma bracket 10pct nocon nor  ctitle(C5) append;

xi:  areg grade pr2 dage7 dage8 dage9 dage10 dage11 dage12 dage13 boys i.ssbo if sex==0, absorb(geocode) cl(geoage);

outreg pr2 dage7 dage8 dage9 dage10 dage11 dage12 dage13 boys using appb.out, se nolabel comma bracket 10pct nocon nor ctitle(C6) append;

xi:  areg ins2 pr2 dage7 dage8 dage9 dage10 dage11 dage12 dage13 i.ssbo if kids>1, absorb(hhid) cl(geoage);

outreg pr2 dage7 dage8 dage9 dage10 dage11 dage12 dage13 using appb.out, se nolabel comma bracket 10pct nocon nor ctitle(C7) append;

xi:  areg ins2 pr2 dage7 dage8 dage9 dage10 dage11 dage12 dage13 sex i.ssbo , absorb(geocode) cl(geoage);

outreg pr2 dage7 dage8 dage9 dage10 dage11 dage12 dage13 sex using appb.out, se nolabel comma bracket 10pct nocon nor ctitle(C8) append;

xi:  areg ins2b pr2 dage7 dage8 dage9 dage10 dage11 dage12 dage13 i.ssbo if kids>1, absorb(hhid) cl(geoage);

outreg pr2 dage7 dage8 dage9 dage10 dage11 dage12 dage13 using appb.out, se nolabel comma bracket 10pct nocon nor ctitle(C9) append;

xi:  areg ins2b pr2 dage7 dage8 dage9 dage10 dage11 dage12 dage13 sex i.ssbo , absorb(geocode) cl(geoage);

outreg pr2 dage7 dage8 dage9 dage10 dage11 dage12 dage13 sex using appb.out, se nolabel comma bracket 10pct nocon nor ctitle(C10) append;

/*Appendix C*/
xi:  areg ins3 pr2 dage7 dage8 dage9 dage10 dage11 dage12 dage13 sex i.ssbo , absorb(hhid) cl(geoage);

outreg pr2 dage7 dage8 dage9 dage10 dage11 dage12 dage13 sex using appc.out, se nolabel comma bracket 10pct nocon nor  ctitle(C1) replace;

xi:  areg ins3 pr2 dage7 dage8 dage9 dage10 dage11 dage12 dage13 sex i.ssbo , absorb(geocode) cl(geoage);

outreg pr2 dage7 dage8 dage9 dage10 dage11 dage12 dage13 sex using appc.out, se nolabel comma bracket 10pct nocon nor  ctitle(C2) append;

xi:  areg ins5 pr2 dage7 dage8 dage9 dage10 dage11 dage12 dage13 sex i.ssbo, absorb(hhid) cl(geoage);

outreg pr2 dage7 dage8 dage9 dage10 dage11 dage12 dage13 sex using appc.out, se nolabel comma bracket 10pct nocon nor  ctitle(C3) append;

xi:  areg ins5 pr2 dage7 dage8 dage9 dage10 dage11 dage12 dage13 sex i.ssbo, absorb(geocode) cl(geoage);

outreg pr2 dage7 dage8 dage9 dage10 dage11 dage12 dage13 sex using appc.out, se nolabel comma bracket 10pct nocon nor  ctitle(C4) append;

xi:  areg ins7 pr2 dage7 dage8 dage9 dage10 dage11 dage12 dage13 sex i.ssbo, absorb(hhid) cl(geoage);

outreg pr2 dage7 dage8 dage9 dage10 dage11 dage12 dage13 sex using appc.out, se nolabel comma bracket 10pct nocon nor  ctitle(C5) append;

xi:  areg ins7 pr2 dage7 dage8 dage9 dage10 dage11 dage12 dage13 sex i.ssbo, absorb(geocode) cl(geoage);

outreg pr2 dage7 dage8 dage9 dage10 dage11 dage12 dage13 sex using appc.out, se nolabel comma bracket 10pct nocon nor  ctitle(C6) append;


/*Appendix D*/
use analysis_sample_thbs_2000_pairs.dta, clear;

xi: reg graded prog1_ prog2_ prog_b bo1 i.agedif age1 fem_none fem_bo;
outreg using appd.out, nocons br 10pct bdec(3) se com nor replace ctitle(C1);

xi: reg graded prog1_ prog2_ bo1 i.agedif age1 fem_none fem_bo;
outreg using appd.out, nocons br 10pct bdec(3) se com nor append ctitle(C2);


